Bug 1420227 - Update exiv2 to version 0.26
Summary: Update exiv2 to version 0.26
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: exiv2
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
Jana Heves
URL:
Whiteboard:
Depends On: 1486570 1487203 1488007 1488008 1488010 1488011 1488012
Blocks: 1479818 1490361
TreeView+ depends on / blocked
 
Reported: 2017-02-08 09:03 UTC by Germano Massullo
Modified: 2018-10-26 07:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
_exiv2_ rebased to version 0.26 The _exiv2_ packages have been upgraded to upstream version 0.26, which provides a number of bug fixes and enhancements over the previous version. Notably, _exiv2_ now contains: * CMake support for Visual Studio * Recursive File Dump * ICC Profile Support * The `exiv2` command for metadata piping * Lens File for user lens definitions * User defined lens types * WebP Support For the complete changelog, see http://www.exiv2.org/changelog.html#v0.26.
Clone Of:
Environment:
Last Closed: 2018-04-10 09:57:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0685 None None None 2018-04-10 09:58:47 UTC

Description Germano Massullo 2017-02-08 09:03:32 UTC
Description of problem:
I am one of the maintainers of darktable package.
It is one of the best photo editing software in FOSS world
darktable 2.2.x uses exiv2 >= 0.24 but RHEL currently ships 0.23, so I cannot update darktable package from 2.0 to 2.2 in EPEL7 repository

Comment 2 Jan Grulich 2017-08-29 12:43:18 UTC
Fixed with exiv2-0.26-1.el7.

Comment 4 Debarshi Ray 2017-08-31 12:31:43 UTC
Looks like the update from exiv2-0.23-6 to exiv2-0.26-1 changed the soname from libexiv2.so.12 to libexiv2.so.26. This affects a few other packages in RHEL. eg., gnome-color-manager, libgexiv2, etc.. We should at least rebuild those against the new ABI.

Comment 5 Michael Petlan 2017-08-31 12:34:09 UTC
Please be aware that this update breaks gnome-color-manager on RHEL-7.4:

# yum install gnome-color-manager
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package gnome-color-manager.x86_64 0:3.22.2-1.el7 will be installed
--> Processing Dependency: libexiv2.so.12()(64bit) for package: gnome-color-manager-3.22.2-1.el7.x86_64
--> Finished Dependency Resolution
Error: Package: gnome-color-manager-3.22.2-1.el7.x86_64 (nightly)
           Requires: libexiv2.so.12()(64bit)
           Available: exiv2-libs-0.23-6.el7.x86_64 (stable)
               libexiv2.so.12()(64bit)
           Installed: exiv2-libs-0.26-1.el7.x86_64 (@nightly)
              ~libexiv2.so.26()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
#

Comment 7 Jan Stodola 2017-09-01 14:13:46 UTC
This breaks other packages as well:

package: gwenview-libs-4.10.5-4.el7.x86_64 from repoclosure-Workstation.x86_64
  unresolved deps: 
     libexiv2.so.12()(64bit)
package: kde-runtime-libs-4.10.5-8.el7.x86_64 from repoclosure-Workstation.x86_64
  unresolved deps: 
     libexiv2.so.12()(64bit)
package: gnome-color-manager-3.22.2-1.el7.x86_64 from repoclosure-Workstation.x86_64
  unresolved deps: 
     libexiv2.so.12()(64bit)
package: libgexiv2-0.10.4-2.el7.x86_64 from repoclosure-Workstation.x86_64
  unresolved deps: 
     libexiv2.so.12()(64bit)
package: libkexiv2-4.10.5-3.el7.x86_64 from repoclosure-Workstation.x86_64
  unresolved deps: 
     libexiv2.so.12()(64bit)
package: nepomuk-core-4.10.5-5.el7.x86_64 from repoclosure-Workstation.x86_64
  unresolved deps: 
     libexiv2.so.12()(64bit)
package: strigi-libs-0.7.7-12.20120626.el7.x86_64 from repoclosure-Workstation.x86_64
  unresolved deps: 
     libexiv2.so.12()(64bit)

Comment 15 errata-xmlrpc 2018-04-10 09:57:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0685


Note You need to log in before you can comment on or make changes to this bug.